------------------------------------------------------------------------------------
--Name：            220118[简体征服][活动脚本]全球白色情人节活动
--Creator:      耿力兀
--Created:     2022-01-18
------------------------------------------------------------------------------------
CppScriptMgr:SetCanUseEsc(1)
-- 镜头一
CppScriptMgr:SetViewPosByCell(273,241)
local player1 = CppScriptMgr:AddSimplePlayer(1053400,269,242,"Star Imp Queen",4003000011,1)
local player2 = CppScriptMgr:AddSimplePlayer(1053410,276,240,"Night Imp Queen",4003000012,1)
local player3 = CppScriptMgr:AddSimplePlayer(1053426,281,250,"Forest Imp Queen",4003000013,1)
player1:SetZoomPercent(160);
player2:SetZoomPercent(160);
player3:SetZoomPercent(160);
player1:SetDir(6)
player2:SetDir(0)
player3:SetDir(4)
local effectObj1 = CppScriptMgr:AddEffect("zero8159",269,242)
local effectObj2 = CppScriptMgr:AddEffect("zero8159",276,2401)
local effectObj3 = CppScriptMgr:AddEffect("zero8159",281,250)

CppScriptMgr:WaitMilSec(1000)


player3:Say("Flower Elves have run away!",1500)
CppScriptMgr:WaitMilSec(1500)

player2:Say("Looks like the dark night is coming...",1500)
CppScriptMgr:WaitMilSec(1500)

player1:Say("The Imp Gate has to be closed.",1500)
CppScriptMgr:WaitMilSec(1500)

player3:Say("Hopefully someone can find the elves and bring back the Imp Land...",1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetDarkScreen(1000);
CppScriptMgr:WaitMilSec(1000)

-- 镜头二
CppScriptMgr:SetViewPosByCell(152,226)
local player4 = CppScriptMgr:AddSimplePlayer(11460,152,226,"Star Imp Land",4003000014,1)
local effectObj4 = CppScriptMgr:AddEffect("ty_beijing",152,226)
local effectObj10 = CppScriptMgr:AddEffect("CSGX_lv",152,226)
CppScriptMgr:WaitMilSec(1500)
local effectObj5 = CppScriptMgr:AddEffect("ty_ymz",152,226)
CppScriptMgr:ClearEffect(effectObj4)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetDarkScreen(1500);
CppScriptMgr:WaitMilSec(1500)

-- 镜头三
CppScriptMgr:SetViewPosByCell(204,111)
local player5 = CppScriptMgr:AddSimplePlayer(11470,204,111,"Night Imp Land",4003000015,1)
local effectObj6 = CppScriptMgr:AddEffect("ty_beijing",204,111)
local effectObj11 = CppScriptMgr:AddEffect("CSGX_zi",204,111)
CppScriptMgr:WaitMilSec(1500)
local effectObj7 = CppScriptMgr:AddEffect("ty_ymz",204,111)
CppScriptMgr:ClearEffect(effectObj6)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetDarkScreen(1500);
CppScriptMgr:WaitMilSec(1500)


-- 镜头四
CppScriptMgr:SetViewPosByCell(248,351)
local player6 = CppScriptMgr:AddSimplePlayer(11480,248,351,"Forest Imp Land",4003000016,1)
local effectObj8 = CppScriptMgr:AddEffect("ty_beijing",248,351)
local effectObj12 = CppScriptMgr:AddEffect("CSGX_jin",248,351)
CppScriptMgr:WaitMilSec(1500)
local effectObj9 = CppScriptMgr:AddEffect("ty_ymz",248,351)
CppScriptMgr:ClearEffect(effectObj8)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetDarkScreen(1500);
CppScriptMgr:WaitMilSec(1500)
